Disposable Software

See the original posting on DZone Python

This happened in early 2012. We wanted to add some more features into an existing app built on Rails 2.3 about 2.5 years before (July 2009). We ended up in a situation that in order to proceed adding new features we had to upgrade to Rails 3.1. The primary reason being that we were using outdated technology and there is some difficulty in maintaining our legacy (read 2.5 years old) app by getting…